Defect #27871

Failed to run plugins test

Added by Tatsuya Saito 22 days ago. Updated 20 days ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:Go MAEDA% Done:

0%

Category:Rails support
Target version:-
Resolution:Fixed Affected version:

Description

I run plugins test with following, but failed it.

/yyyyy/redmine/trunk $ bundle exec rake --trace redmine:plugins:test
** Invoke redmine:plugins:test (first_time)
** Execute redmine:plugins:test
** Invoke redmine:plugins:test:units (first_time)
** Invoke db:test:prepare (first_time)
** Invoke environment (first_time)
** Execute environment
** Invoke db:load_config (first_time)
** Execute db:load_config
** Execute db:test:prepare
** Invoke db:test:load (first_time)
** Invoke db:test:purge (first_time)
** Invoke environment 
** Invoke db:load_config 
** Invoke db:check_protected_environments (first_time)
** Invoke environment 
** Invoke db:load_config 
** Execute db:check_protected_environments
** Execute db:test:purge
** Execute db:test:load
** Invoke db:test:load_schema (first_time)
** Invoke db:test:purge 
** Execute db:test:load_schema
** Execute redmine:plugins:test:units
rake aborted!
NoMethodError: undefined method `rake_run' for Minitest:Module
/yyyyy/redmine/trunk/lib/tasks/redmine.rake:165:in `block (4 levels) in <top (required)>'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:251:in `block in execute'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:251:in `each'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:251:in `execute'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:195:in `block in invoke_with_call_chain'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/2.4.0/monitor.rb:214:in `mon_synchronize'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:188:in `invoke_with_call_chain'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:181:in `invoke'
/yyyyy/redmine/trunk/lib/tasks/redmine.rake:156:in `block (3 levels) in <top (required)>'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:251:in `block in execute'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:251:in `each'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:251:in `execute'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:195:in `block in invoke_with_call_chain'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/2.4.0/monitor.rb:214:in `mon_synchronize'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:188:in `invoke_with_call_chain'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/task.rb:181:in `invoke'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/application.rb:160:in `invoke_task'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/application.rb:116:in `block (2 levels) in top_level'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/application.rb:116:in `each'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/application.rb:116:in `block in top_level'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/application.rb:125:in `run_with_threads'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/application.rb:110:in `top_level'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/application.rb:83:in `block in run'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/application.rb:186:in `standard_exception_handling'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/lib/rake/application.rb:80:in `run'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/rake-12.3.0/exe/rake:27:in `<top (required)>'
/xxxxx/.rbenv/versions/2.4.1/bin/rake:22:in `load'
/xxxxx/.rbenv/versions/2.4.1/bin/rake:22:in `<top (required)>'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/cli/exec.rb:74:in `load'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/cli/exec.rb:74:in `kernel_load'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/cli/exec.rb:27:in `run'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/cli.rb:362:in `exec'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/vendor/thor/lib/thor/command.rb:27:in `run'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/vendor/thor/lib/thor/invocation.rb:126:in `invoke_command'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/vendor/thor/lib/thor.rb:387:in `dispatch'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/cli.rb:22:in `dispatch'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/vendor/thor/lib/thor/base.rb:466:in `start'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/cli.rb:13:in `start'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/exe/bundle:30:in `block in <top (required)>'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/lib/bundler/friendly_errors.rb:121:in `with_friendly_errors'
/xxxxx/.rbenv/versions/2.4.1/lib/ruby/gems/2.4.0/gems/bundler-1.15.4/exe/bundle:22:in `<top (required)>'
/xxxxx/.rbenv/versions/2.4.1/bin/bundle:22:in `load'
/xxxxx/.rbenv/versions/2.4.1/bin/bundle:22:in `<main>'
Tasks: TOP => redmine:plugins:test:units

This is caused by r16859 .
I tried to fix it and attach the patch.

Environment

Environment:
  Redmine version                3.4.3.devel.17136
  Ruby version                   2.4.1-p111 (2017-03-22) [x86_64-darwin16]
  Rails version                  5.1.4
  Environment                    production
  Database adapter               SQLite
SCM:
  Subversion                     1.9.4
  Git                            2.14.3
  Filesystem                     
Redmine plugins:
  no plugin installed

patch.diff Magnifier - Fixes to run plugins test. (2.78 KB) Tatsuya Saito, 2017-12-31 03:13


Related issues

Related to Redmine - Feature #23630: Migrate to Rails 5.1 Closed

Associated revisions

Revision 17139
Added by Go MAEDA 21 days ago

Replace Minitest.rake_run with Rails::TestUnit::Runner.rake_run for compatibility with Rails 5.1.4 (#27871).

Patch by Tatsuya Saito.

History

#1 Updated by Tatsuya Saito 21 days ago

This is caused by r16859 .

I'm sorry to write invalid information.
This problem is caused by r17133 .

Following issue on Rails GitHub changed Minitest.rake_run to Rails::TestUnit::Runner.rake_run.
It was merged to v5.1.4.
https://github.com/rails/rails/pull/29572

#2 Updated by Go MAEDA 21 days ago

#3 Updated by Go MAEDA 21 days ago

  • Category set to Rails support
  • Status changed from New to Closed
  • Assignee set to Go MAEDA
  • Resolution set to Fixed

Committed to the trunk (r17139).
Thank you, have a great new year!

#4 Updated by Toshi MARUYAMA 20 days ago

  • Subject changed from Failed to run plugins test. to Failed to run plugins test

Also available in: Atom PDF